Subject: [SWIPL] Calling Prolog from within foreign threads!

From: [email-masked]
Date: Thu, 27 Sep 2001 15:49:57 +0300

Hi,

I guess my previous message was a bit confusing. Hence, I would like make
it much clearer and shorter so that I could get an answer from you. 

My question is simply as follows:

Is it possible to create a Prolog engine from within each Java thread (foreign thread) while there are several of them running concurrently? I need each thread to have its own facts-base because each should be able to process different data set comprised of facts stored as Prolog files. If this is not recommended or possible, I wonder if there is any other way of achieving what I want to do?

I would also be very much grateful if someone could e-mail me some example code on Prolog threads.

Thanks in advance,

Mehmet Emin Donderler
Ph.D. Candidate of CS
Bilkent University